org.apache.xmlbeans.impl.values

## Interface NamespaceManager

All Superinterfaces:
  PrefixResolver

All Known Subinterfaces:
  TypeStore

    public interface NamespaceManager
    extends PrefixResolver

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `find_prefix_for_nsuri(String nsuri, String suggested_prefix)` Caled when the user needs a prefix by which to reference a given Xml namespace.

### Methods inherited from interface org.apache.xmlbeans.impl.common.PrefixResolver

`getNamespaceForPrefix`

### Method Detail

#### find_prefix_for_nsuri

    String find_prefix_for_nsuri(String nsuri,
                                 String suggested_prefix)

Caled when the user needs a prefix by which to reference a given Xml namespace. A suggested prefix is passed, which may be null; the suggestion may be ignored.